Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model
Interface OWLCardinalityRestriction

All Superinterfaces:
  Cloneable, OWLDescription, OWLObject, OWLRestriction, Serializable

All Known Subinterfaces:
  OWLDataCardinalityRestriction, OWLObjectCardinalityRestriction

All Known Implementing Classes:
  OWLDataCardinalityRestrictionImpl, OWLObjectCardinalityRestrictionImpl

public interface OWLCardinalityRestriction
extends OWLRestriction

An OWLCardinalityRestriction represents an assertion about the number of role fillers a property can or must have. In a change from DAML+OIL, OWL cardinality restrictions are unqualified, i.e. they do not state what type the filler should have.

Version:
  $Id: OWLCardinalityRestriction.java,v 1.1.1.1 2003/10/14 17:10:08 sean_bechhofer Exp $

Method Summary
`int` | `getAtLeast()`
`int` | `getAtMost()`
`boolean` | `isAtLeast()` Is this an atleast cardinality restriction?
`boolean` | `isAtMost()` Is this an atmost cardinality restriction?
`boolean` | `isExactly()` Is this an exact cardinality restriction, i.e. does atleast == atmost?

Methods inherited from interface org.semanticweb.owl.model.OWLRestriction
`getProperty`

Methods inherited from interface org.semanticweb.owl.model.OWLDescription
`accept`

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`accept, clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Method Detail

### getAtLeast

    public int getAtLeast()
                   throws OWLException

    `OWLException`

### getAtMost

    public int getAtMost()
                  throws OWLException

    `OWLException`

### isAtMost

    public boolean isAtMost()
                     throws OWLException

  Is this an atmost cardinality restriction?

    `OWLException`

### isAtLeast

    public boolean isAtLeast()
                      throws OWLException

  Is this an atleast cardinality restriction?

    `OWLException`

### isExactly

    public boolean isExactly()
                      throws OWLException

  Is this an exact cardinality restriction, i.e. does atleast == atmost?

    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb